Live\essentials 12 endpoints

DELETE /me/live_events

This method deletes multiple events belonging to the authenticated user.

operationId: LiveEssentials_deleteMultipleEvents

Request Body

required
application/vnd.vimeo.live.event.recurring+json
schema LiveEssentialsDeleteMultipleEventsRequest1
Property Type Required
password string required

Responses

200

OK

DELETE /me/live_events
GET /me/live_events

The method returns every event belonging to the authenticated user.

operationId: LiveEssentials_getAllUserLiveEvents

Parameters

Name In Required Type Description
direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • not_in_folder - Show only events that aren’t in a folder.
  • not_in_showcase - Show only events that aren’t in a showcase.
  • not_in_webinar - Show only events that aren’t in a webinar.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by creation date.
type query optional string

The type of event to return.

Option descriptions:

  • all - Return all events.
  • one_time - Return one-time events only.
  • recurring - Return recurring events only.

Responses

200

The events were returned.

GET /me/live_events
POST /me/live_events

This method creates a new event for the authenticated user.

operationId: LiveEssentials_createLiveEvent

Request Body

required
application/vnd.vimeo.live.event.recurring+json
schema LiveEssentialsCreateLiveEventRequest
Property Type Required
dvr boolean optional
embed object optional
loop boolean optional
color string optional
logos object optional
vimeo boolean optional
custom object optional
link string optional
active boolean optional
sticky boolean optional
autoplay boolean optional
playlist boolean optional
schedule boolean optional
use_color boolean optional
show_latest_archived_clip boolean optional
title string required
schedule object optional
type string optional
weekdays array optional
daily_time string optional
time_zone string optional
folder_uri string optional
low_latency boolean optional
auto_cc_lang string optional
chat_enabled boolean optional
rtmp_preview boolean optional
stream_embed object optional
embed string optional
stream_title string optional
playlist_sort string optional
content_rating array optional
stream_privacy object optional
view string optional
auto_cc_enabled boolean optional
stream_password string optional
allow_share_link boolean optional
auto_cc_keywords string optional
scheduled_playback boolean optional
…3 more object optional

Responses

200

The event was created.

400

Error code 2204: A parameter is invalid.

401
  • Error code 3200: The authenticated user can’t create an event.
  • Error code 8000: The user credentials are invalid.
403
  • Error code 3422: The authenticated user can’t create an event.
  • Error code 3439: The authenticated user can’t edit the content rating of an event.
POST /me/live_events
DELETE /me/live_events/{live_event_id}

This method deletes a single event belonging to the authenticated user.

operationId: LiveEssentials_deleteSingleEvent

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Responses

204

The event was deleted.

403
  • Error code 3200: The authenticated user doesn’t have the necessary permissions to delete the event.
  • Error code 3422: The authenticated user can’t delete the event.
404

Error code 5000: No such event or user exists.

DELETE /me/live_events/{live_event_id}
GET /me/live_events/{live_event_id}

This method returns a single event belonging to the authenticated user.

operationId: LiveEssentials_getSpecificLiveEvent

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

password query optional string

The password of the event when the privacy is set to password.

Responses

200

The event was returned.

400

Error code 2204: A password is required for password-protected events.

401

Error code 3200: The authenticated user can’t access the event.

404

Error code 5000: No such event exists.

GET /me/live_events/{live_event_id}
PATCH /me/live_events/{live_event_id}

This method updates an event belonging to the authenticated user.

operationId: LiveEssentials_updateEventBelongingToAuthenticatedUser

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

application/vnd.vimeo.live.event.recurring+json
schema LiveEssentialsUpdateEventBelongingToAuthenticatedUserRequest1
Property Type Required
dvr boolean optional
embed object optional
loop boolean optional
color string optional
logos object optional
vimeo boolean optional
custom object optional
link string optional
active boolean optional
sticky boolean optional
autoplay boolean optional
playlist boolean optional
schedule boolean optional
use_color boolean optional
title string optional
schedule object optional
type string optional
weekdays array optional
daily_time string optional
time_zone string optional
stream_mode string optional
chat_enabled boolean optional
stream_embed object optional
embed string optional
stream_title string optional
playlist_sort string optional
content_rating array optional
stream_privacy object optional
view string optional
auto_cc_enabled boolean optional
stream_password string optional
auto_cc_keywords string optional
auto_cc_language string optional
scheduled_playback boolean optional
stream_description string optional
automatically_title_stream boolean optional
interaction_tools_settings object optional
is_qna_moderated boolean optional
is_anonymous_questions_disabled boolean optional

Responses

200

The event was updated.

400

Error code 2204: A parameter is invalid.

403
  • Error code 3200: The authenticated user doesn’t have the necessary permissions to update the event.
  • Error code 3422: The authenticated user can’t update the event.
404

Error code 5000: No such event or user exists.

PATCH /me/live_events/{live_event_id}
DELETE /users/{user_id}/live_events

This method deletes multiple events belonging to the authenticated user.

operationId: LiveEssentials_deleteMultipleEvents

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

Request Body

required
application/vnd.vimeo.live.event.recurring+json
schema LiveEssentialsDeleteMultipleEventsRequest2
Property Type Required
password string required

Responses

200

OK

DELETE /users/{user_id}/live_events
GET /users/{user_id}/live_events

The method returns every event belonging to the authenticated user.

operationId: LiveEssentials_getUserLiveEvents

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • not_in_folder - Show only events that aren’t in a folder.
  • not_in_showcase - Show only events that aren’t in a showcase.
  • not_in_webinar - Show only events that aren’t in a webinar.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by creation date.
type query optional string

The type of event to return.

Option descriptions:

  • all - Return all events.
  • one_time - Return one-time events only.
  • recurring - Return recurring events only.

Responses

200

The events were returned.

GET /users/{user_id}/live_events
POST /users/{user_id}/live_events

This method creates a new event for the authenticated user.

operationId: LiveEssentials_createEventForUser

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

Request Body

required
application/vnd.vimeo.live.event.recurring+json
schema LiveEssentialsCreateEventForUserRequest
Property Type Required
dvr boolean optional
embed object optional
loop boolean optional
color string optional
logos object optional
vimeo boolean optional
custom object optional
link string optional
active boolean optional
sticky boolean optional
autoplay boolean optional
playlist boolean optional
schedule boolean optional
use_color boolean optional
show_latest_archived_clip boolean optional
title string required
schedule object optional
type string optional
weekdays array optional
daily_time string optional
time_zone string optional
folder_uri string optional
low_latency boolean optional
auto_cc_lang string optional
chat_enabled boolean optional
rtmp_preview boolean optional
stream_embed object optional
embed string optional
stream_title string optional
playlist_sort string optional
content_rating array optional
stream_privacy object optional
view string optional
auto_cc_enabled boolean optional
stream_password string optional
allow_share_link boolean optional
auto_cc_keywords string optional
scheduled_playback boolean optional
…3 more object optional

Responses

200

The event was created.

400

Error code 2204: A parameter is invalid.

401
  • Error code 3200: The authenticated user can’t create an event.
  • Error code 8000: The user credentials are invalid.
403
  • Error code 3422: The authenticated user can’t create an event.
  • Error code 3439: The authenticated user can’t edit the content rating of an event.
POST /users/{user_id}/live_events
DELETE /users/{user_id}/live_events/{live_event_id}

This method deletes a single event belonging to the authenticated user.

operationId: LiveEssentials_deleteSpecificEvent

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

Responses

204

The event was deleted.

403
  • Error code 3200: The authenticated user doesn’t have the necessary permissions to delete the event.
  • Error code 3422: The authenticated user can’t delete the event.
404

Error code 5000: No such event or user exists.

DELETE /users/{user_id}/live_events/{live_event_id}
GET /users/{user_id}/live_events/{live_event_id}

This method returns a single event belonging to the authenticated user.

operationId: LiveEssentials_getEventById

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

password query optional string

The password of the event when the privacy is set to password.

Responses

200

The event was returned.

400

Error code 2204: A password is required for password-protected events.

401

Error code 3200: The authenticated user can’t access the event.

404

Error code 5000: No such event exists.

GET /users/{user_id}/live_events/{live_event_id}
PATCH /users/{user_id}/live_events/{live_event_id}

This method updates an event belonging to the authenticated user.

operationId: LiveEssentials_updateEventBelongingToAuthenticatedUser

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

Request Body

application/vnd.vimeo.live.event.recurring+json
schema LiveEssentialsUpdateEventBelongingToAuthenticatedUserRequest2
Property Type Required
dvr boolean optional
embed object optional
loop boolean optional
color string optional
logos object optional
vimeo boolean optional
custom object optional
link string optional
active boolean optional
sticky boolean optional
autoplay boolean optional
playlist boolean optional
schedule boolean optional
use_color boolean optional
title string optional
schedule object optional
type string optional
weekdays array optional
daily_time string optional
time_zone string optional
stream_mode string optional
chat_enabled boolean optional
stream_embed object optional
embed string optional
stream_title string optional
playlist_sort string optional
content_rating array optional
stream_privacy object optional
view string optional
auto_cc_enabled boolean optional
stream_password string optional
auto_cc_keywords string optional
auto_cc_language string optional
scheduled_playback boolean optional
stream_description string optional
automatically_title_stream boolean optional
interaction_tools_settings object optional
is_qna_moderated boolean optional
is_anonymous_questions_disabled boolean optional

Responses

200

The event was updated.

400

Error code 2204: A parameter is invalid.

403
  • Error code 3200: The authenticated user doesn’t have the necessary permissions to update the event.
  • Error code 3422: The authenticated user can’t update the event.
404

Error code 5000: No such event or user exists.

PATCH /users/{user_id}/live_events/{live_event_id}

Live\eventactivation 3 endpoints

POST /live_events/{live_event_id}/activate

This method creates the necessary RTMP links for the specified event. Begin streaming to these links to trigger the event on Vimeo. The authenticated user must be the owner of the event.

operationId: LiveEventActivation_createRtmpLinks

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

application/vnd.vimeo.video+json
schema LiveEventActivationCreateRtmpLinksRequest
Property Type Required
cloud_composing_streaming boolean optional
streaming_start_requested boolean optional

Responses

200

The event was activated.

400
  • Error code 2428: The event has already been activated.
  • Error code 2551: The session can’t be activated when the scheduled media playback feature is enabled.
401

Error code 8000: The user credentials are invalid.

403
  • Error code 3200: The authenticated user doesn’t have the necessary permissions to stream to the event.
  • Error code 3422: The authenticated user can’t activate the event.
404

Error code 5000: No such event or user exists.

500

Error code 4017: An unexpected error occurred.

503

Error code 7701: The service is unavailable.

POST /live_events/{live_event_id}/activate
POST /me/live_events/{live_event_id}/activate

This method creates the necessary RTMP links for the specified event. Begin streaming to these links to trigger the event on Vimeo. The authenticated user must be the owner of the event.

operationId: LiveEventActivation_createRtmpLinks

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

application/vnd.vimeo.video+json
schema LiveEventActivationCreateRtmpLinksRequest1
Property Type Required
cloud_composing_streaming boolean optional
streaming_start_requested boolean optional

Responses

200

The event was activated.

400
  • Error code 2428: The event has already been activated.
  • Error code 2551: The session can’t be activated when the scheduled media playback feature is enabled.
401

Error code 8000: The user credentials are invalid.

403
  • Error code 3200: The authenticated user doesn’t have the necessary permissions to stream to the event.
  • Error code 3422: The authenticated user can’t activate the event.
404

Error code 5000: No such event or user exists.

500

Error code 4017: An unexpected error occurred.

503

Error code 7701: The service is unavailable.

POST /me/live_events/{live_event_id}/activate
POST /users/{user_id}/live_events/{live_event_id}/activate

This method creates the necessary RTMP links for the specified event. Begin streaming to these links to trigger the event on Vimeo. The authenticated user must be the owner of the event.

operationId: LiveEventActivation_createRtmpLinks

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

Request Body

application/vnd.vimeo.video+json
schema LiveEventActivationCreateRtmpLinksRequest2
Property Type Required
cloud_composing_streaming boolean optional
streaming_start_requested boolean optional

Responses

200

The event was activated.

400
  • Error code 2428: The event has already been activated.
  • Error code 2551: The session can’t be activated when the scheduled media playback feature is enabled.
401

Error code 8000: The user credentials are invalid.

403
  • Error code 3200: The authenticated user doesn’t have the necessary permissions to stream to the event.
  • Error code 3422: The authenticated user can’t activate the event.
404

Error code 5000: No such event or user exists.

500

Error code 4017: An unexpected error occurred.

503

Error code 7701: The service is unavailable.

POST /users/{user_id}/live_events/{live_event_id}/activate

Live\eventautomatedclosedcaptions 3 endpoints

PATCH /live_events/{live_event_id}/auto_cc

This method edits the automated closed captions preference for the specified event.

operationId: LiveEventAutomatedClosedCaptions_editPreference

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

required
application/application/vnd.vimeo.live.auto_cc+json
schema LiveEventAutomatedClosedCaptionsEditPreferenceRequest
Property Type Required
auto_cc_lang string optional
auto_cc_enabled boolean required
auto_cc_keywords string optional

Responses

200

The automated closed captions preference was edited.

400

Error code 2204: The payload is invalid.

403
  • Error code 3200: The user doesn’t have permission to edit the closed captions preference for the specified event.
  • Error code 3422: The authenticated user can’t edit the closed captions preference for the specified event.
  • Error code 3439: The authenticated user has reached the automated closed captions usage limit, or they can’t use the automated closed captions feature at all.
404

Error code 5000: No such event or user exists.

PATCH /live_events/{live_event_id}/auto_cc
PATCH /me/live_events/{live_event_id}/auto_cc

This method edits the automated closed captions preference for the specified event.

operationId: LiveEventAutomatedClosedCaptions_editPreferenceForEvent

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

required
application/application/vnd.vimeo.live.auto_cc+json
schema LiveEventAutomatedClosedCaptionsEditPreferenceForEventRequest
Property Type Required
auto_cc_lang string optional
auto_cc_enabled boolean required
auto_cc_keywords string optional

Responses

200

The automated closed captions preference was edited.

400

Error code 2204: The payload is invalid.

403
  • Error code 3200: The user doesn’t have permission to edit the closed captions preference for the specified event.
  • Error code 3422: The authenticated user can’t edit the closed captions preference for the specified event.
  • Error code 3439: The authenticated user has reached the automated closed captions usage limit, or they can’t use the automated closed captions feature at all.
404

Error code 5000: No such event or user exists.

PATCH /me/live_events/{live_event_id}/auto_cc
PATCH /users/{user_id}/live_events/{live_event_id}/auto_cc

This method edits the automated closed captions preference for the specified event.

operationId: LiveEventAutomatedClosedCaptions_editPreferenceForEvent

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

Request Body

required
application/application/vnd.vimeo.live.auto_cc+json
schema LiveEventAutomatedClosedCaptionsEditPreferenceForEventRequest1
Property Type Required
auto_cc_lang string optional
auto_cc_enabled boolean required
auto_cc_keywords string optional

Responses

200

The automated closed captions preference was edited.

400

Error code 2204: The payload is invalid.

403
  • Error code 3200: The user doesn’t have permission to edit the closed captions preference for the specified event.
  • Error code 3422: The authenticated user can’t edit the closed captions preference for the specified event.
  • Error code 3439: The authenticated user has reached the automated closed captions usage limit, or they can’t use the automated closed captions feature at all.
404

Error code 5000: No such event or user exists.

PATCH /users/{user_id}/live_events/{live_event_id}/auto_cc

Live\eventdestinations 16 endpoints

DELETE /destination/{destination_id}

This method deletes the specified event destination belonging to the authenticated user.

operationId: LiveEventDestinations_deleteDestination

Parameters

Name In Required Type Description
destination_id path required number

The ID of the event destination.

Responses

204

The event destination was deleted.

401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t access the event destination.

404

Error code 5000: No such event destination exists.

DELETE /destination/{destination_id}
GET /destination/{destination_id}

This method returns the specified event destination belonging to the authenticated user.

operationId: LiveEventDestinations_getDestination

Parameters

Name In Required Type Description
destination_id path required number

The ID of the event destination.

Responses

200

The event destination was returned.

401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t access the event destination.

404

Error code 5000: No such event destination exists.

GET /destination/{destination_id}
PATCH /destination/{destination_id}

This method updates the specified event destination belonging to the authenticated user.

operationId: LiveEventDestinations_updateDestination

Parameters

Name In Required Type Description
destination_id path required number

The ID of the event destination.

Request Body

application/vnd.vimeo.live.simulcast.destination+json
schema LiveEventDestinationsUpdateDestinationRequest
Property Type Required
type string optional
privacy string optional
is_enabled boolean optional
stream_key string optional
stream_url string optional
display_name string optional
service_name string optional
provider_destination_id string optional

Responses

200

The event destination was updated.

400
  • Error code 13000: The RTMP URL and key are already being used for one of the authenticated user’s events.
  • Error code 13001: The authenticated user can simulcast on up to 20 custom RTMP destinations at once.
  • Error code 13002: The authenticated user can simulcast on up to 10 destinations on Facebook, YouTube, or LinkedIn.
401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t access the event destination.

404

Error code 5000: No such event destination exists.

PATCH /destination/{destination_id}
GET /me/destinations

This method returns every available event destination for the authenticated user to stream to.

operationId: LiveEventDestinations_getAllAvailableDestinations

Responses

200

The event destinations were returned.

401

Error code 8000: The user credentials are invalid.

403
  • Error code 3200: The authenticated user can’t get the available destinations.
  • Error code 3422: The authenticated user can’t live simulcast.
GET /me/destinations
GET /me/live_events/{live_event_id}/destinations

This method returns every destination of the specified event. The authenticated user must be the owner of the event.

operationId: LiveEventDestinations_listAllAvailableDestinations

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Responses

200

The event destinations were returned.

400

Error code 2204: Parameters are missing, or the body data is invalid.

401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t access the event destination.

404

Error code 5000: No such event or user exists.

GET /me/live_events/{live_event_id}/destinations
POST /me/live_events/{live_event_id}/destinations

This method creates a destination for the specified event. The authenticated user must be the owner of the event.

operationId: LiveEventDestinations_createDestination

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

required
application/vnd.vimeo.live.simulcast.destination+json
schema LiveEventDestinationsCreateDestinationRequest
Property Type Required
type string required
privacy string optional
is_enabled boolean optional
stream_key string optional
stream_url string optional
display_name string required
scheduled_at number optional
service_name string required
provider_video_id string optional
provider_destination_id string optional

Responses

200

The event destination was created.

400
  • Error code 2204: Parameters are missing, or the body data is invalid.
  • Error code 13003: You can create only one LinkedIn destination per event.
  • Error code 13004: You can create only one YouTube destination per event.
401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t access the event destinations.

404

Error code 5000: No such event or user exists.

POST /me/live_events/{live_event_id}/destinations
GET /me/videos/{video_id}/destinations

This method returns every destination of the specified event. The authenticated user must be the owner of the event.

operationId: LiveEventDestinations_getAllDestinations

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Responses

200

The event destinations were returned.

401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t access the event destinations.

404

Error code 5000: No such event or user exists.

GET /me/videos/{video_id}/destinations
POST /me/videos/{video_id}/destinations

This method creates a destination for the specified event. The authenticated user must be the owner of the event.

operationId: LiveEventDestinations_createOneTimeLiveEventDestination

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Request Body

required
application/vnd.vimeo.live.simulcast.destination+json
schema LiveEventDestinationsCreateOneTimeLiveEventDestinationRequest
Property Type Required
type string required
privacy string optional
is_enabled boolean optional
stream_key string optional
stream_url string optional
display_name string required
scheduled_at number optional
service_name string required
provider_video_id string optional
provider_destination_id string optional

Responses

200

OK

400
  • Error code 2204: Parameters are missing, or the body data is invalid.
  • Error code 13003: You can create only one LinkedIn destination per event.
  • Error code 13004: You can create only one YouTube destination per event.
401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t access the event destinations.

404

Error code 5000: No such event or user exists.

POST /me/videos/{video_id}/destinations
GET /users/{user_id}/destinations

This method returns every available event destination for the authenticated user to stream to.

operationId: LiveEventDestinations_listAvailableDestinations

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

Responses

200

The event destinations were returned.

401

Error code 8000: The user credentials are invalid.

403
  • Error code 3200: The authenticated user can’t get the available destinations.
  • Error code 3422: The authenticated user can’t live simulcast.
GET /users/{user_id}/destinations
GET /users/{user_id}/live_events/{live_event_id}/destinations

This method returns every destination of the specified event. The authenticated user must be the owner of the event.

operationId: LiveEventDestinations_getAllAvailableDestinations

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

Responses

200

The event destinations were returned.

400

Error code 2204: Parameters are missing, or the body data is invalid.

401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t access the event destination.

404

Error code 5000: No such event or user exists.

GET /users/{user_id}/live_events/{live_event_id}/destinations
POST /users/{user_id}/live_events/{live_event_id}/destinations

This method creates a destination for the specified event. The authenticated user must be the owner of the event.

operationId: LiveEventDestinations_createEventDestination

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

Request Body

required
application/vnd.vimeo.live.simulcast.destination+json
schema LiveEventDestinationsCreateEventDestinationRequest
Property Type Required
type string required
privacy string optional
is_enabled boolean optional
stream_key string optional
stream_url string optional
display_name string required
scheduled_at number optional
service_name string required
provider_video_id string optional
provider_destination_id string optional

Responses

200

The event destination was created.

400
  • Error code 2204: Parameters are missing, or the body data is invalid.
  • Error code 13003: You can create only one LinkedIn destination per event.
  • Error code 13004: You can create only one YouTube destination per event.
401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t access the event destinations.

404

Error code 5000: No such event or user exists.

POST /users/{user_id}/live_events/{live_event_id}/destinations
DELETE /users/{user_id}/live_events/{live_event_id}/ott_destination/{destination_id}

This method deletes an OTT channel as the destination of the specified event. The authenticated user must be the owner of the event.

operationId: LiveEventDestinations_deleteOttDestination

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

Responses

204

The OTT destination was deleted.

400

Error code 2204: A parameter is missing, or the body data is invalid.

401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t access the event destination.

404
  • Error code 5000: No such event or user exists.
  • Error code 5018: The user doesn’t have any OTT metadata.
DELETE /users/{user_id}/live_events/{live_event_id}/ott_destination/{destination_id}
GET /users/{user_id}/live_events/{live_event_id}/ott_destinations

This method returns every OTT destination of the specified event. The authenticated user must be the owner of the event.

operationId: LiveEventDestinations_getAllOttDestinations

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

Responses

200

The OTT destinations were returned.

401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t access the event destination.

404

Error code 5000: No such event or user exists.

GET /users/{user_id}/live_events/{live_event_id}/ott_destinations
POST /users/{user_id}/live_events/{live_event_id}/ott_destinations

This method creates an OTT channel as the destination of the specified event. The authenticated user must be the owner of the event.

operationId: LiveEventDestinations_createOttDestination

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

Responses

200

The new OTT destination was created.

400

Error code 2204: A parameter is missing, or the body data is invalid.

401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t access the event destination.

404
  • Error code 5000: No such event or user exists.
  • Error code 5018: The user doesn’t have any OTT metadata.
POST /users/{user_id}/live_events/{live_event_id}/ott_destinations
GET /users/{user_id}/videos/{video_id}/destinations

This method returns every destination of the specified event. The authenticated user must be the owner of the event.

operationId: LiveEventDestinations_getAllAvailableDestinations

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

200

The event destinations were returned.

401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t access the event destinations.

404

Error code 5000: No such event or user exists.

GET /users/{user_id}/videos/{video_id}/destinations
POST /users/{user_id}/videos/{video_id}/destinations

This method creates a destination for the specified event. The authenticated user must be the owner of the event.

operationId: LiveEventDestinations_createOneTimeLiveEventDestination

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Request Body

required
application/vnd.vimeo.live.simulcast.destination+json
schema LiveEventDestinationsCreateOneTimeLiveEventDestinationRequest1
Property Type Required
type string required
privacy string optional
is_enabled boolean optional
stream_key string optional
stream_url string optional
display_name string required
scheduled_at number optional
service_name string required
provider_video_id string optional
provider_destination_id string optional

Responses

200

OK

400
  • Error code 2204: Parameters are missing, or the body data is invalid.
  • Error code 13003: You can create only one LinkedIn destination per event.
  • Error code 13004: You can create only one YouTube destination per event.
401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t access the event destinations.

404

Error code 5000: No such event or user exists.

POST /users/{user_id}/videos/{video_id}/destinations

Live\eventend 3 endpoints

POST /live_events/{live_event_id}/end

This method ends the specified event. The authenticated user must be the owner of the event.

operationId: LiveEventEnd_eventTermination

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

clip_id query optional number

The ID of the streamable video.

Responses

200

The event was ended.

400

Error code 10004: The event isn’t being streamed.

403
  • Error code 3200: The user can’t end the session.
  • Error code 3422: The authenticated user can’t end the event.
404

Error code 5000: No such event or user exists.

500

Error code 4021: There is no video for the event.

POST /live_events/{live_event_id}/end
POST /me/live_events/{live_event_id}/end

This method ends the specified event. The authenticated user must be the owner of the event.

operationId: LiveEventEnd_eventTerminationAlt1

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

clip_id query optional number

The ID of the streamable video.

Responses

200

The event was ended.

400

Error code 10004: The event isn’t being streamed.

403
  • Error code 3200: The user can’t end the session.
  • Error code 3422: The authenticated user can’t end the event.
404

Error code 5000: No such event or user exists.

500

Error code 4021: There is no video for the event.

POST /me/live_events/{live_event_id}/end
POST /users/{user_id}/live_events/{live_event_id}/end

This method ends the specified event. The authenticated user must be the owner of the event.

operationId: LiveEventEnd_eventTerminationAlt2

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

clip_id query optional number

The ID of the streamable video.

Responses

200

The event was ended.

400

Error code 10004: The event isn’t being streamed.

403
  • Error code 3200: The user can’t end the session.
  • Error code 3422: The authenticated user can’t end the event.
404

Error code 5000: No such event or user exists.

500

Error code 4021: There is no video for the event.

POST /users/{user_id}/live_events/{live_event_id}/end

Live\eventlowlatency 3 endpoints

PATCH /live_events/{live_event_id}/low_latency

This method toggles the low-latency option of the specified event.

operationId: LiveEventLowLatency_toggleOption

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

application/application/vnd.vimeo.live.low_latency+json
schema LiveEventLowLatencyToggleOptionRequest
Property Type Required
low_latency boolean optional

Responses

200

The low-latency status of the event was returned.

403

Error code 3200: The authenticated user can’t toggle the low-latency option of the event.

404

Error code 5000: No such event or user exists.

PATCH /live_events/{live_event_id}/low_latency
PATCH /me/live_events/{live_event_id}/low_latency

This method toggles the low-latency option of the specified event.

operationId: LiveEventLowLatency_toggleOption

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

application/application/vnd.vimeo.live.low_latency+json
schema LiveEventLowLatencyToggleOptionRequest1
Property Type Required
low_latency boolean optional

Responses

200

The low-latency status of the event was returned.

403

Error code 3200: The authenticated user can’t toggle the low-latency option of the event.

404

Error code 5000: No such event or user exists.

PATCH /me/live_events/{live_event_id}/low_latency
PATCH /users/{user_id}/live_events/{live_event_id}/low_latency

This method toggles the low-latency option of the specified event.

operationId: LiveEventLowLatency_toggleOption

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

Request Body

application/application/vnd.vimeo.live.low_latency+json
schema LiveEventLowLatencyToggleOptionRequest2
Property Type Required
low_latency boolean optional

Responses

200

The low-latency status of the event was returned.

403

Error code 3200: The authenticated user can’t toggle the low-latency option of the event.

404

Error code 5000: No such event or user exists.

PATCH /users/{user_id}/live_events/{live_event_id}/low_latency

Live\eventm3u8playback 2 endpoints

GET /me/live_events/{live_event_id}/m3u8_playback

This method returns an M3U8 playback URL for the specified event stream. You should use this endpoint only in conjunction with our recommended procedure for playing events via HLS. For more information, see our HLS guide.

operationId: LiveEventM3U8Playback_getUrl

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

max_fps_fhd query optional number

The requested maximum frames per second.

Responses

200

The M3U8 playback URL was returned.

400

Error code 10008: The event hasn’t started.

401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t access the M3U8 playback URL.

404

Error code 5000: No such event or user exists.

500
  • Error code 4020: No streamable video was found.
  • Error code 4021: No video was found.
503

Error code 7900: The streamable video in progress will be available soon.

GET /me/live_events/{live_event_id}/m3u8_playback
GET /users/{user_id}/live_events/{live_event_id}/m3u8_playback

This method returns an M3U8 playback URL for the specified event stream. You should use this endpoint only in conjunction with our recommended procedure for playing events via HLS. For more information, see our HLS guide.

operationId: LiveEventM3U8Playback_getUrlForEventStream

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

max_fps_fhd query optional number

The requested maximum frames per second.

Responses

200

The M3U8 playback URL was returned.

400

Error code 10008: The event hasn’t started.

401

Error code 8000: The user credentials are invalid.

403

Error code 3200: The authenticated user can’t access the M3U8 playback URL.

404

Error code 5000: No such event or user exists.

500
  • Error code 4020: No streamable video was found.
  • Error code 4021: No video was found.
503

Error code 7900: The streamable video in progress will be available soon.

GET /users/{user_id}/live_events/{live_event_id}/m3u8_playback

Live\eventsessions 1 endpoints

GET /videos/{video_id}/sessions/status

This method returns the ingest status of the specified event.

operationId: LiveEventSessions_getIngestStatus

Parameters

Name In Required Type Description
video_id path required number

The ID of the event.

Responses

200

The ingest status was returned.

GET /videos/{video_id}/sessions/status

Live\eventthumbnails 7 endpoints

GET /live_events/{live_event_id}/pictures

This method returns every thumbnail image of the specified event.

operationId: LiveEventThumbnails_getAllThumbnails

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Responses

200

The thumbnails were returned.

404

Error code 5000: No such event or user exists.

GET /live_events/{live_event_id}/pictures
POST /live_events/{live_event_id}/pictures

This method creates a thumbnail image for the specified event.

operationId: LiveEventThumbnails_createThumbnailForEvent

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

application/vnd.vimeo.picture+json
schema LiveEventThumbnailsCreateThumbnailForEventRequest
Property Type Required
active boolean optional

Responses

200

The thumbnail was created.

403
  • Error code 3200: The authenticated user can’t delete the thumbnails for the event.
  • Error code 3422: The authenticated user can’t create a thumbnail for the event.
404

Error code 5000: No such event or user exists.

POST /live_events/{live_event_id}/pictures
DELETE /live_events/{live_event_id}/pictures/{thumbnail_id}

This method deletes a thumbnail image for the specified event.

operationId: LiveEventThumbnails_deleteThumbnailForEvent

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

thumbnail_id path required number

The ID of the thumbnail.

Responses

204

The thumbnail was deleted.

403
  • Error code 3200: The authenticated user can’t delete the thumbnail for the event.
  • Error code 3422: The authenticated user can’t delete the thumbnail.
404

Error code 5000: No such event, thumbnail, or user exists.

DELETE /live_events/{live_event_id}/pictures/{thumbnail_id}
GET /live_events/{live_event_id}/pictures/{thumbnail_id}

This method returns a single thumbnail image of the specified event.

operationId: LiveEventThumbnails_getSpecificThumbnail

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

thumbnail_id path required number

The ID of the thumbnail.

Responses

200

The thumbnail was returned.

403

Error code 3200: The authenticated user can’t access the thumbnail.

404

Error code 5000: No such event, thumbnail, or user exists.

GET /live_events/{live_event_id}/pictures/{thumbnail_id}
PATCH /live_events/{live_event_id}/pictures/{thumbnail_id}

This method edits a thumbnail image for the specified event.

operationId: LiveEventThumbnails_editLiveEventThumbnail

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

thumbnail_id path required number

The ID of the thumbnail.

Request Body

application/vnd.vimeo.picture+json
schema LiveEventThumbnailsEditLiveEventThumbnailRequest
Property Type Required
active boolean optional

Responses

200

The thumbnail was edited.

403
  • Error code 3200: The authenticated user can’t update the thumbnail for the event.
  • Error code 3422: The authenticated user can’t edit the thumbnail of the event.
404

Error code 5000: No such event, thumbnail, or user exists.

PATCH /live_events/{live_event_id}/pictures/{thumbnail_id}
GET /me/live_events/{live_event_id}/pictures

This method returns every thumbnail image of the specified event.

operationId: LiveEventThumbnails_getAll

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Responses

200

The thumbnails were returned.

404

Error code 5000: No such event or user exists.

GET /me/live_events/{live_event_id}/pictures
POST /me/live_events/{live_event_id}/pictures

This method creates a thumbnail image for the specified event.

operationId: LiveEventThumbnails_addThumbnail

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

application/vnd.vimeo.picture+json
schema LiveEventThumbnailsAddThumbnailRequest
Property Type Required
active boolean optional

Responses

200

The thumbnail was created.

403
  • Error code 3200: The authenticated user can’t delete the thumbnails for the event.
  • Error code 3422: The authenticated user can’t create a thumbnail for the event.
404

Error code 5000: No such event or user exists.

POST /me/live_events/{live_event_id}/pictures
Load more endpoints